NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Features.GlobalShapingBuilder Class Reference

Represents a NXOpen.Features.GlobalShaping builder More...

Inheritance diagram for NXOpen.Features.GlobalShapingBuilder:
NXOpen.Features.FeatureBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  BodyMethod { Solid, Sheet }
 Represents the body method type. More...
 
enum  DeformationTypeValues {
  ToPoint, ToCurves, OpenRegion, WallDeformation,
  Overbend, MatchToSheet, StretchToPoint, StretchToCurve,
  RadiusReduction, BySurface, ByCurve, Unknown
}
 Represents the deformation type. More...
 
enum  DeformBodyType { SheetBodies, FacetBodies }
 Represent sheet deformation type. More...
 
enum  DirectionMethodType {
  SameAsProjection, NormalToSheet, NormalToBase, NormalToControl,
  SpecifiedDirection, None
}
 Represents the direction method type. More...
 
enum  ModifyMethodType { Stretch, Overcrown }
 Represent surface modify method. More...
 
enum  OffsetMethod { Constant, LawControlled, CurveDefined }
 Represents the offset method type. More...
 
enum  PointMethodType { OffsetFromSheet, PointDefined }
 Represents the point method type. More...
 
enum  RadiusType { Quintic, Radius }
 Represents radius options used. More...
 
enum  RotationMethod { Constant, LawControlled, CurveDefined }
 Represents the rotation method type. More...
 
enum  RotationMethodType { Angle, Distance }
 Represents the rotation type. More...
 
enum  TargetCurveOrientationType { Parallel, Perpendicular }
 Represents the orientation of the target curve(s) to the limit curves. More...
 
enum  TransitionType { Function1, Function2, Law, G2 }
 Represents the transition method type. More...
 

Public Member Functions

unsafe void EnableMovePole (bool enable)
 Enable move pole More...
 
unsafe
NXOpen.Features.GlobalShapingCurveOffsetBuilder 
NewTargetCurve ()
 Create a new target curve More...
 
unsafe
NXOpen.Features.GlobalShapingPointOffsetBuilder 
NewTargetPoint ()
 Create a new target point More...
 
unsafe void SetBaseSheet (NXOpen.Body baseSheet)
 Base sheet More...
 
unsafe void SetControlSheet (NXOpen.Body controlSheet)
 Control sheet More...
 
unsafe void UpdateDeformSheetType ()
 Enable move pole More...
 
- Public Member Functions inherited from NXOpen.Features.FeatureBuilder
unsafe NXOpen.Features.Feature CommitFeature ()
 Commits the feature parameters and creates the feature More...
 
unsafe NXOpen.Features.Feature GetFeature ()
 Returns the feature currently being edited by this builder. More...
 
unsafe void HideInternalParentFeatureAfterEdit (NXOpen.Features.Feature parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
unsafe void SetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited More...
 
unsafe void ShowInternalParentFeatureForEdit (NXOpen.Features.Feature parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
unsafe void UnsetParentFeatureInternal (NXOpen.Features.Feature parentFeature)
 Set the internal parent feature of the feature being edited to external More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe double AngleTolerance [get, set]
 Returns or sets the angle tolerance More...
 
unsafe NXOpen.SelectNXObjectList AssociatedObjects [get]
 Returns the objects to transform with the deformation More...
 
unsafe NXOpen.Section BaseCurve [get]
 Returns the base curve More...
 
unsafe NXOpen.SelectNXObject BaseSheetSelection [get]
 Returns the base face selection More...
 
unsafe NXOpen.Section BendCurve [get]
 Returns the bend curve More...
 
unsafe NXOpen.Section ControlCurve [get]
 Returns the curve control More...
 
unsafe NXOpen.SelectNXObject ControlSheetSelection [get]
 Returns the control face selection More...
 
unsafe
NXOpen.Features.GlobalShapingBuilder.DirectionMethodType 
DeformationDirectionMethod [get, set]
 Returns or sets the deformation direction method More...
 
unsafe bool DeformationDirectionReverse [get, set]
 Returns or sets the deformation direction reverse More...
 
unsafe NXOpen.Direction DeformationDirectionVector [get, set]
 Returns or sets the deformation direction vector More...
 
unsafe
NXOpen.Features.GlobalShapingBuilder.DeformationTypeValues 
DeformationType [get, set]
 Returns or sets the deformation type More...
 
unsafe double DistanceTolerance [get, set]
 Returns or sets the distance tolerance More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
FacetToDeform [get]
 Returns the facet to deform More...
 
unsafe
NXOpen.GeometricUtilities.FeatureOptions 
FeatureOptions [get]
 Returns the feature options More...
 
unsafe NXOpen.Section FirstRegionLimitCurve [get]
 Returns the first region limit curve More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
FirstRegionLimitCurveOffsetLaw [get]
 Returns the region to deform offset law More...
 
unsafe NXOpen.ScCollector FirstRegionOffsetCurve [get]
 Returns the first region offset curve More...
 
unsafe NXOpen.ScCollector FirstTargetCurve [get]
 Returns the first target curve More...
 
unsafe NXOpen.Expression FirstTargetCurveOffset [get]
 Returns the first target curve offset More...
 
unsafe bool FlipBaseNormalDirection [get, set]
 Returns or sets the flip base normal direction More...
 
unsafe bool FlipBaseUDirection [get, set]
 Returns or sets the flip base udirection More...
 
unsafe bool FlipBaseVDirection [get, set]
 Returns or sets the flip base vdirection More...
 
unsafe bool FlipControlNormalDirection [get, set]
 Returns or sets the flip control normal direction More...
 
unsafe bool FlipControlUDirection [get, set]
 Returns or sets the flip control udirection More...
 
unsafe bool FlipControlVDirection [get, set]
 Returns or sets the flip control vdirection More...
 
unsafe int IterationCount [get, set]
 Returns or sets the maximum iterations count used for approximating the deformed sheet. More...
 
unsafe bool KeepBaseLength [get, set]
 Returns or sets the equal arc length toggle More...
 
unsafe bool ModifyInputSheet [get, set]
 Returns or sets the modify input sheet More...
 
unsafe
NXOpen.Features.GlobalShapingBuilder.ModifyMethodType 
ModifyMethod [get, set]
 Returns or sets the modify method More...
 
unsafe
NXOpen.GeometricUtilities.MovePoleBuilder 
MovePole [get]
 Returns the move pole More...
 
unsafe NXOpen.Direction ProjectionDirection [get, set]
 Returns or sets the projection direction More...
 
unsafe
NXOpen.Features.GlobalShapingBuilder.RadiusType 
RadiusOptions [get, set]
 Returns or sets the radius options More...
 
unsafe NXOpen.Expression RadiusReductionPercent [get]
 Returns the radius reduction percent More...
 
unsafe NXOpen.ScCollector RegionEdgeCurve [get]
 Returns the region edge curve More...
 
unsafe NXOpen.Section RegionLimitCurve [get]
 Returns the region limit curve More...
 
unsafe NXOpen.Section RegionToDeform [get, set]
 Returns or sets the region to deform More...
 
unsafe NXOpen.Expression RegionToDeformOffset [get]
 Returns the region boundary offset More...
 
unsafe NXOpen.Expression RotationAngle [get]
 Returns the rotation angle value More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
RotationAngleLaw [get]
 Returns the rotation angle law More...
 
unsafe bool RotationAngleReverseDirection [get, set]
 Returns or sets the rotation angle reverse direction More...
 
unsafe
NXOpen.Features.GlobalShapingBuilder.RotationMethod 
RotationAngleType [get, set]
 Returns or sets the rotation angle type More...
 
unsafe NXOpen.Expression RotationDistance [get]
 Returns the rotation distance value More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
RotationDistanceLaw [get]
 Returns the rotation distance law More...
 
unsafe NXOpen.Section RotationTargetCurve [get]
 Returns the rotation target curve More...
 
unsafe
NXOpen.Features.GlobalShapingBuilder.RotationMethodType 
RotationType [get, set]
 Returns or sets the rotation type More...
 
unsafe NXOpen.Section SecondRegionLimitCurve [get]
 Returns the second region limit curve More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
SecondRegionLimitCurveOffsetLaw [get]
 Returns the second region limit curve offset law More...
 
unsafe NXOpen.ScCollector SecondRegionOffsetCurve [get]
 Returns the second region offset curve More...
 
unsafe NXOpen.ScCollector SecondTargetCurve [get]
 Returns the second target curve More...
 
unsafe NXOpen.Expression SecondTargetCurveOffset [get]
 Returns the second target curve offset More...
 
unsafe NXOpen.ScCollector SheetToDeform [get, set]
 Returns or sets the sheet to deform More...
 
unsafe
NXOpen.GeometricUtilities.OnPathDimensionBuilder 
StartLocation [get]
 Returns the start location of control curve More...
 
unsafe NXOpen.Direction StretchDirection [get, set]
 Returns or sets the stretch direction More...
 
unsafe NXOpen.Expression TaperEnd [get]
 Returns the taper end. More...
 
unsafe NXOpen.Expression TaperStart [get]
 Returns the taper start. More...
 
unsafe NXOpen.Section TargetCurve [get]
 Returns the target curve More...
 
unsafe NXOpen.Expression TargetCurveOffset [get]
 Returns the target curve offset More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
TargetCurveOffsetLaw [get]
 Returns the target curve offset law More...
 
unsafe
NXOpen.Features.GlobalShapingBuilder.OffsetMethod 
TargetCurveOffsetType [get, set]
 Returns or sets the target curve offset type More...
 
unsafe
NXOpen.Features.GlobalShapingBuilder.TargetCurveOrientationType 
TargetCurveOrientation [get, set]
 Returns or sets the orientation of the target curve to the limit curves. More...
 
unsafe
NXOpen.Features.GlobalShapingCurveOffsetBuilderList 
TargetCurvesList [get]
 Returns the target curves list More...
 
unsafe NXOpen.Point TargetPoint [get, set]
 Returns or sets the target point More...
 
unsafe
NXOpen.Features.GlobalShapingBuilder.PointMethodType 
TargetPointMethod [get, set]
 Returns or sets the target point method More...
 
unsafe NXOpen.Expression TargetPointOffset [get]
 Returns the target point offset More...
 
unsafe
NXOpen.Features.GlobalShapingPointOffsetBuilderList 
TargetPointsList [get]
 Returns the target points list More...
 
unsafe NXOpen.ScCollector TargetSheet [get]
 Returns the target sheet More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
TransitionLaw [get]
 Returns the transition law More...
 
unsafe
NXOpen.Features.GlobalShapingBuilder.TransitionType 
TransitionOptions [get, set]
 Returns or sets the transition options More...
 
unsafe double TransitionShapeControl [get, set]
 Returns or sets the transition shape control More...
 
unsafe
NXOpen.GeometricUtilities.LawBuilder 
TwistAngleLaw [get]
 Returns the twist angle law More...
 
unsafe bool TwistAngleReverseDirection [get, set]
 Returns or sets the twist angle reverse direction More...
 
- Properties inherited from NXOpen.Features.FeatureBuilder
unsafe bool ParentFeatureInternal [get, set]
 Returns or sets whether or not the latest timestamped parent feature of this feature should be made internal More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a NXOpen.Features.GlobalShaping builder

To create a new instance of this class, use NXOpen.Features.FeatureCollection.CreateGlobalShapingBuilder

Default values.

Property Value

FirstRegionLimitCurveOffsetLaw.Function

ft

FirstRegionLimitCurveOffsetLaw.LawType

Constant

FirstRegionLimitCurveOffsetLaw.Parameter

t

ModifyMethod

Stretch

MovePole.DegreesAndPatches.Degree

3

MovePole.DegreesAndPatches.SegmentsOrPatches

1

MovePole.DegreesAndPatches.UDegree

5

MovePole.DegreesAndPatches.UPatches

1

MovePole.DegreesAndPatches.VDegree

5

MovePole.DegreesAndPatches.VPatches

1

MovePole.MoveMethod

View

MovePole.WCSDirection

X

Created in NX5.0.0

Member Enumeration Documentation

Represents the body method type.

Enumerator
Solid 

Output solid

Sheet 

Output sheet

Represents the deformation type.

Enumerator
ToPoint 

To point

ToCurves 

To curves

OpenRegion 

Open region

WallDeformation 

Wall deformation

Overbend 

Overbend

MatchToSheet 

Match to sheet

StretchToPoint 

Stretch to point

StretchToCurve 

Stretch to curve

RadiusReduction 

Radius Reduction

BySurface 

(9) Old By surface method

ByCurve 

(10)Bend/Twist by curves

Unknown 

Unknown deformation

Represent sheet deformation type.

Enumerator
SheetBodies 

Sheet bodies

FacetBodies 

Facet bodies

Represents the direction method type.

Enumerator
SameAsProjection 

Overcrown is same as projection direction

NormalToSheet 

Overcrown is normal to sheet

NormalToBase 

Overcrown is normal to base surface

NormalToControl 

Overcrown is normal to control surface

SpecifiedDirection 

Overcrown is user specified direction

None 

Overcrown has no direction specified

Represent surface modify method.

Enumerator
Stretch 

By Surface stretch modify

Overcrown 

By Surface overcrown modify

Represents the offset method type.

Enumerator
Constant 

Constant offset

LawControlled 

Law controlled

CurveDefined 

Curve interpolated

Represents the point method type.

Enumerator
OffsetFromSheet 

Target point is offset from sheet

PointDefined 

Target point is the given point

Represents radius options used.

Enumerator
Quintic 

Quintic method.

A quintic curve is used to reduce the radius

Radius 

Radius method.

A true arc with tangent lines at the ends is used to reduce radius. This should be used when you know that the input is an edge blend or face blend

Represents the rotation method type.

Enumerator
Constant 

Constant anlge rotation

LawControlled 

Law controlled rotation

CurveDefined 

Curve interpolated rotation

Represents the rotation type.

Enumerator
Angle 

Rotation specified by angle

Distance 

Rotation specified by distance

Represents the orientation of the target curve(s) to the limit curves.

With parallel option you can specify only one law. With the perpendicular option, you can specify multiple laws.

Enumerator
Parallel 

Target curve is parallel to the limit curves.

Perpendicular 

Target curves are perpendicular to the limit curves.

Represents the transition method type.

Enumerator
Function1 

Tangent continuous transition

Function2 

Position continuous transition

Law 

Transition by law

G2 

g2 continuous

Member Function Documentation

unsafe void NXOpen.Features.GlobalShapingBuilder.EnableMovePole ( bool  enable)
inline

Enable move pole

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
enable
unsafe NXOpen.Features.GlobalShapingCurveOffsetBuilder NXOpen.Features.GlobalShapingBuilder.NewTargetCurve ( )
inline

Create a new target curve

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
unsafe NXOpen.Features.GlobalShapingPointOffsetBuilder NXOpen.Features.GlobalShapingBuilder.NewTargetPoint ( )
inline

Create a new target point

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Returns
unsafe void NXOpen.Features.GlobalShapingBuilder.SetBaseSheet ( NXOpen.Body  baseSheet)
inline

Base sheet

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
baseSheet
unsafe void NXOpen.Features.GlobalShapingBuilder.SetControlSheet ( NXOpen.Body  controlSheet)
inline

Control sheet

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
controlSheet
unsafe void NXOpen.Features.GlobalShapingBuilder.UpdateDeformSheetType ( )
inline

Enable move pole

Created in NX8.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

Property Documentation

unsafe double NXOpen.Features.GlobalShapingBuilder.AngleTolerance
getset

Returns or sets the angle tolerance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectNXObjectList NXOpen.Features.GlobalShapingBuilder.AssociatedObjects
get

Returns the objects to transform with the deformation

Created in NX7.5.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.GlobalShapingBuilder.BaseCurve
get

Returns the base curve

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.GlobalShapingBuilder.BaseSheetSelection
get

Returns the base face selection

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.GlobalShapingBuilder.BendCurve
get

Returns the bend curve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.GlobalShapingBuilder.ControlCurve
get

Returns the curve control

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.SelectNXObject NXOpen.Features.GlobalShapingBuilder.ControlSheetSelection
get

Returns the control face selection

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Features.GlobalShapingBuilder.DirectionMethodType NXOpen.Features.GlobalShapingBuilder.DeformationDirectionMethod
getset

Returns or sets the deformation direction method

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.GlobalShapingBuilder.DeformationDirectionReverse
getset

Returns or sets the deformation direction reverse

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Direction NXOpen.Features.GlobalShapingBuilder.DeformationDirectionVector
getset

Returns or sets the deformation direction vector

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.GlobalShapingBuilder.DeformationTypeValues NXOpen.Features.GlobalShapingBuilder.DeformationType
getset

Returns or sets the deformation type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.GlobalShapingBuilder.DistanceTolerance
getset

Returns or sets the distance tolerance

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Features.GlobalShapingBuilder.FacetToDeform
get

Returns the facet to deform

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.FeatureOptions NXOpen.Features.GlobalShapingBuilder.FeatureOptions
get

Returns the feature options

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.GlobalShapingBuilder.FirstRegionLimitCurve
get

Returns the first region limit curve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.GlobalShapingBuilder.FirstRegionLimitCurveOffsetLaw
get

Returns the region to deform offset law

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.GlobalShapingBuilder.FirstRegionOffsetCurve
get

Returns the first region offset curve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.GlobalShapingBuilder.FirstTargetCurve
get

Returns the first target curve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.GlobalShapingBuilder.FirstTargetCurveOffset
get

Returns the first target curve offset

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.Features.GlobalShapingBuilder.FlipBaseNormalDirection
getset

Returns or sets the flip base normal direction

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.GlobalShapingBuilder.FlipBaseUDirection
getset

Returns or sets the flip base udirection

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.GlobalShapingBuilder.FlipBaseVDirection
getset

Returns or sets the flip base vdirection

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.GlobalShapingBuilder.FlipControlNormalDirection
getset

Returns or sets the flip control normal direction

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.GlobalShapingBuilder.FlipControlUDirection
getset

Returns or sets the flip control udirection

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.GlobalShapingBuilder.FlipControlVDirection
getset

Returns or sets the flip control vdirection

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe int NXOpen.Features.GlobalShapingBuilder.IterationCount
getset

Returns or sets the maximum iterations count used for approximating the deformed sheet.

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.GlobalShapingBuilder.KeepBaseLength
getset

Returns or sets the equal arc length toggle

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.GlobalShapingBuilder.ModifyInputSheet
getset

Returns or sets the modify input sheet

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.GlobalShapingBuilder.ModifyMethodType NXOpen.Features.GlobalShapingBuilder.ModifyMethod
getset

Returns or sets the modify method

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.GeometricUtilities.MovePoleBuilder NXOpen.Features.GlobalShapingBuilder.MovePole
get

Returns the move pole

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Features.GlobalShapingBuilder.ProjectionDirection
getset

Returns or sets the projection direction

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.GlobalShapingBuilder.RadiusType NXOpen.Features.GlobalShapingBuilder.RadiusOptions
getset

Returns or sets the radius options

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.GlobalShapingBuilder.RadiusReductionPercent
get

Returns the radius reduction percent

Created in NX7.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.GlobalShapingBuilder.RegionEdgeCurve
get

Returns the region edge curve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.GlobalShapingBuilder.RegionLimitCurve
get

Returns the region limit curve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.GlobalShapingBuilder.RegionToDeform
getset

Returns or sets the region to deform

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.Expression NXOpen.Features.GlobalShapingBuilder.RegionToDeformOffset
get

Returns the region boundary offset

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.GlobalShapingBuilder.RotationAngle
get

Returns the rotation angle value

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.GlobalShapingBuilder.RotationAngleLaw
get

Returns the rotation angle law

Created in NX5.0.0

License requirements: None.

unsafe bool NXOpen.Features.GlobalShapingBuilder.RotationAngleReverseDirection
getset

Returns or sets the rotation angle reverse direction

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.GlobalShapingBuilder.RotationMethod NXOpen.Features.GlobalShapingBuilder.RotationAngleType
getset

Returns or sets the rotation angle type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.GlobalShapingBuilder.RotationDistance
get

Returns the rotation distance value

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.GlobalShapingBuilder.RotationDistanceLaw
get

Returns the rotation distance law

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.GlobalShapingBuilder.RotationTargetCurve
get

Returns the rotation target curve

Created in NX6.0.0

License requirements: None.

unsafe NXOpen.Features.GlobalShapingBuilder.RotationMethodType NXOpen.Features.GlobalShapingBuilder.RotationType
getset

Returns or sets the rotation type

Created in NX6.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Section NXOpen.Features.GlobalShapingBuilder.SecondRegionLimitCurve
get

Returns the second region limit curve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.GlobalShapingBuilder.SecondRegionLimitCurveOffsetLaw
get

Returns the second region limit curve offset law

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.GlobalShapingBuilder.SecondRegionOffsetCurve
get

Returns the second region offset curve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.GlobalShapingBuilder.SecondTargetCurve
get

Returns the second target curve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.GlobalShapingBuilder.SecondTargetCurveOffset
get

Returns the second target curve offset

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.GlobalShapingBuilder.SheetToDeform
getset

Returns or sets the sheet to deform

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.GeometricUtilities.OnPathDimensionBuilder NXOpen.Features.GlobalShapingBuilder.StartLocation
get

Returns the start location of control curve

Created in NX8.5.0

License requirements: None.

unsafe NXOpen.Direction NXOpen.Features.GlobalShapingBuilder.StretchDirection
getset

Returns or sets the stretch direction

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.GlobalShapingBuilder.TaperEnd
get

Returns the taper end.

Distance at the end to apply the taper.

Created in NX7.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.GlobalShapingBuilder.TaperStart
get

Returns the taper start.

Distance at the start to apply the taper.

Created in NX7.0.0

License requirements: None.

unsafe NXOpen.Section NXOpen.Features.GlobalShapingBuilder.TargetCurve
get

Returns the target curve

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Expression NXOpen.Features.GlobalShapingBuilder.TargetCurveOffset
get

Returns the target curve offset

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.GlobalShapingBuilder.TargetCurveOffsetLaw
get

Returns the target curve offset law

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.GlobalShapingBuilder.OffsetMethod NXOpen.Features.GlobalShapingBuilder.TargetCurveOffsetType
getset

Returns or sets the target curve offset type

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.GlobalShapingBuilder.TargetCurveOrientationType NXOpen.Features.GlobalShapingBuilder.TargetCurveOrientation
getset

Returns or sets the orientation of the target curve to the limit curves.

Only used when deformation_type is NXOpen.Features.GlobalShapingBuilder.DeformationTypeValues.WallDeformation .

Created in NX7.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.GlobalShapingCurveOffsetBuilderList NXOpen.Features.GlobalShapingBuilder.TargetCurvesList
get

Returns the target curves list

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Point NXOpen.Features.GlobalShapingBuilder.TargetPoint
getset

Returns or sets the target point

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Features.GlobalShapingBuilder.PointMethodType NXOpen.Features.GlobalShapingBuilder.TargetPointMethod
getset

Returns or sets the target point method

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.Expression NXOpen.Features.GlobalShapingBuilder.TargetPointOffset
get

Returns the target point offset

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.GlobalShapingPointOffsetBuilderList NXOpen.Features.GlobalShapingBuilder.TargetPointsList
get

Returns the target points list

Created in NX7.5.0

License requirements: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.GlobalShapingBuilder.TargetSheet
get

Returns the target sheet

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.GlobalShapingBuilder.TransitionLaw
get

Returns the transition law

Created in NX5.0.0

License requirements: None.

unsafe NXOpen.Features.GlobalShapingBuilder.TransitionType NXOpen.Features.GlobalShapingBuilder.TransitionOptions
getset

Returns or sets the transition options

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe double NXOpen.Features.GlobalShapingBuilder.TransitionShapeControl
getset

Returns or sets the transition shape control

Created in NX5.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.GeometricUtilities.LawBuilder NXOpen.Features.GlobalShapingBuilder.TwistAngleLaw
get

Returns the twist angle law

Created in NX8.5.0

License requirements: None.

unsafe bool NXOpen.Features.GlobalShapingBuilder.TwistAngleReverseDirection
getset

Returns or sets the twist angle reverse direction

Created in NX8.5.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.